#include "CommandLineArgs.h"
#include "MainApplication.h"

int main(int argc, char *argv[])
{
    auto command_line_args = CommandLineArgs::Create();
    command_line_args->process(argc, argv);
    command_line_args->recordLaunchPath();

    // Start the main app
    auto main_app = MainApplication::Create();
    main_app->Initialize(std::move(command_line_args));

    main_app->Run();

    main_app->ShutDown();
    return 0;
}
